unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Buttons, Mask;

type
  TForm2 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    GroupBox3: TGroupBox;
    RadioButton7: TRadioButton;
    RadioButton8: TRadioButton;
    CheckBox1: TCheckBox;
    GroupBox2: TGroupBox;
    RadioButton3: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton9: TRadioButton;
    Timer1: TTimer;
    GroupBox4: TGroupBox;
    CheckBox2: TCheckBox;
    Label2: TLabel;
    OpenDialog1: TOpenDialog;
    BitBtn1: TBitBtn;
    MaskEdit1: TMaskEdit;
    GroupBox5: TGroupBox;
    CheckBox4: TCheckBox;
    SpeedButton2: TSpeedButton;
    Label4: TLabel;
    Timer2: TTimer;
    RadioButton6: TRadioButton;
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton7Click(Sender: TObject);
    procedure RadioButton9Click(Sender: TObject);
    procedure RadioButton8Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton5Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure RadioButton6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  t:TStrings;

implementation

uses Unit1, Unit3, Unit4;

{$R *.dfm}

procedure TForm2.RadioButton2Click(Sender: TObject);
begin
Form1.Timer1.Enabled:=False; //  Отключить таймер 1, котрый показывает время и
Form1.Timer2.Enabled:=True;  //  Включить таймер 2, тот, что кажет дату
end;

procedure TForm2.RadioButton7Click(Sender: TObject);
begin
Form1.Edit1.Font.Name:='Comic Sans MS';  // Сменить шрифт в Form1.Edit1 на другой
Form1.Edit1.Font.Size:=20;  // при этом установив в Edit1 другой размер букв.
end;

procedure TForm2.RadioButton9Click(Sender: TObject);
begin
Form1.Edit1.Font.Name:='Times New Roman';  // Сменить шрифт в Form1.Edit1 на другой
Form1.Edit1.Font.Size:=24; // при этом установив в Edit1 другой размер букв.
end;

procedure TForm2.RadioButton8Click(Sender: TObject);
begin
Form1.Edit1.Font.Name:='Rondalo'; // Сменить шрифт в Form1.Edit1 на другой
Form1.Edit1.Font.Size:=24;  // при этом установив в Edit1 другой размер букв.
end;

procedure TForm2.RadioButton1Click(Sender: TObject);
begin
Form1.Timer2.Enabled:=False;  //  Отключить таймер 2, тот, что кажет дату
Form1.Timer1.Enabled:=true ;  // Включить таймер 1, котрый показывает время
end;


procedure TForm2.CheckBox1Click(Sender: TObject);
begin
if Form2.CheckBox1.Checked // Если на компоненте CheckBox1 стоит галочка,
then                       // то
begin
Form2.RadioButton1.Checked:=true; //  сделать в перечисленые компонетах
Form2.RadioButton3.Checked:=true; //  изменения - одни включить, другие
Form2.RadioButton7.Checked:=true; //  выключить.
Form2.CheckBox4.Checked:=false;   //
end;
end;

procedure TForm2.CheckBox2Click(Sender: TObject);
begin
Form1.Memo1.Text:=Form2.MaskEdit1.Text; // Текст в компонете Memo1 сделать равным тексту в MaskEdit
Form1.Memo1.Lines.SaveToFile('Time.txt'); // после этого записать текст Memo1 в файл Time.txt
begin
Form2.MaskEdit1.Text:=Form1.Memo1.Text; // Потом текст в компонете Mask1 сделать равным тексту в Memo1
Form2.Timer1.Enabled:=true; // Включить таймер 1
end;
end;

procedure TForm2.Timer1Timer(Sender: TObject);
begin
if (Form1.Edit1.Text>MaskEdit1.Text)and(Form2.CheckBox2.Checked)and(Form2.RadioButton1.Checked)
// Если значение в Form1.Edit1.Text больше значение в Mask1 и CheckBox2 (Включить будильник) включен и Form2.RadioButton1.Checked то активизирую будильник
then
begin
Form3.Mediaplayer1.FileName:=OpenDialog1.FileName; // Имя файла в MediaPlayer1 рано имени файла в OpenDialog1
if FileExists(OpenDialog1.FileName)then  // если файл открыт? то
begin
Form3.MediaPlayer1.Open; // загрузить музыку в MediaPlaer1
Form3.Mediaplayer1.Play; // играть музыку
Form1.Memo1.Lines.Clear; // очистить компонент Memo1
Form1.Memo1.Lines.SaveToFile('Time.txt'); // записать после этого содержимое Memo1 в файл, другими словами стереть все содержимое файла
Form2.Timer1.Enabled:=False; // отключить этот таймер
end;
end;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
Form2.MaskEdit1.Text:=Form1.Memo1.Text; // Текст в компонете Mask1 сделать равным тексту в Memo1
if Form1.Memo1.Lines.Count<>0 then // если кол-во строк в Memo 1 не равно нулю то
Form2.CheckBox2.Checked:=true;  // актиизировать помпонент CheckBox2 (Включить будильник)
end;

procedure TForm2.BitBtn1Click(Sender: TObject);
begin
Form2.Timer1.Enabled:=false; // // Если юзер нажал кнопку "Выйти" по
Form1.Close;   // закрыть  все окна проги и выйти из нее.
Form2.Close;
Form3.Close;
Form4.Close;
end;

procedure TForm2.Timer2Timer(Sender: TObject);
begin
if Form2.CheckBox4.Checked  // Если CheckBox4(Передвинуть часы) активирован то
then Form1.BorderStyle:=bsSingle // сменить стиль формы, чтобы можно было ее передвинуть
else  Form1.BorderStyle:=bsNone;  // если CheckBox4 не активирован то стиль формы тот, что по умолчанию в моей проге
end;

procedure TForm2.RadioButton3Click(Sender: TObject);
begin
if Form2.RadioButton3.Checked // если..(надоело писать одно и тоже) то
then Form1.Image1.Visible:=False;  // Сделать цвет часов системным
end;

procedure TForm2.RadioButton5Click(Sender: TObject);
begin
if Form2.RadioButton5.Checked // если.. то
then
begin
Form1.Image1.Visible:=true; // включить компонент Image1
Form1.Image1.Picture.LoadFromFile('Skins\Skin2.jpg'); // загрузить в Image1 первый скин
end;
end;

procedure TForm2.SpeedButton2Click(Sender: TObject);
begin
Form4.Show; // Посмотреть инфу "О программе"
end;


procedure TForm2.RadioButton6Click(Sender: TObject);
begin
if Form2.RadioButton6.Checked  // если.. то
then
begin
Form1.Image1.Visible:=true;  // включить компонент Image1
Form1.Image1.Picture.LoadFromFile('Skins\Skin1.jpg'); // загрузить в Image1 второй скин
end;
end;

end.




